petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSetFromOptions

Sets PC options from the options database. This routine must be called before PCSetUp() if the user is to be allowed to set the preconditioner method.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSetFromOptions(PC pc)

Collective on PC Many br

### Input Parameter

pc -the preconditioner context Many br

### Options Database

-pc_use_amat true,false see PCSetUseAmat() - Many br Many br

### Keywords

PC, set, from, options, database

### See Also

PCSetUseAmat()

Level:developer
Location:src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages